package common.ai;

import common.entity.DamageSource;
import common.entity.types.EntityLiving;
import common.nbt.NBTTagCompound;

public interface IEntityLivingNode extends IEntityNode {
	void update();
	void updateRenderAngles();
	void updateLeashedState();
	void setLeashTag(NBTTagCompound tag);
	EntityLiving getAttacking();
	EntityLiving getAttackTarget();
	void resetCombat();
	void trackDamage(DamageSource source, int amount);
	void sendDeathMessage();
	EntityJumpHelper getJumpHelper();
	EntityLookHelper getLookHelper();
	void updateAttacking();
	void dropExperience();
}
