package common.entity.npc;

import common.ai.IEntityMobNPCNode;
import common.entity.DamageSource;
import common.entity.Entity;
import common.entity.types.EntityLiving;
import common.world.World;

public abstract class EntityMobNPC<T extends IEntityMobNPCNode> extends EntityNPC<T>
{
    public T getNode() {
    	return this.node;
    }
    
    public EntityMobNPC(World worldIn)
    {
        super(worldIn);
    }

    public void setAttackedBy(EntityLiving livingBase)
    {
        super.setAttackedBy(livingBase);

        if (livingBase != null)
        {
            this.node.setAngerTarget(livingBase);
        }
    }
    
    public boolean attackEntityFrom(DamageSource source, int amount)
    {
        Entity entity = source.getEntity();

        if (entity != null && entity instanceof EntityNPC)
        {
            this.node.becomeAngryAt(entity);
        }

        return super.attackEntityFrom(source, amount);
    }

    public boolean isAggressive(Class<? extends EntityNPC> clazz) {
    	return this.node.isAngry() && clazz != this.getClass() && !this.isPeaceful(clazz);
    }
}
